Distribution:   CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Summary: 	core event abstraction layer for Enlightenment.
Name: 		ecore
Version: 	20071209
Release: 	1
License:	BSD
URL: 		http://www.enlightenment.org
Source0: 	%{name}-%{version}.tar.gz
#Patch0:		ecore-autotools.patch
Group: 		Graphical Desktop/Enlightenment17
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	eet-devel
BuildRequires:	evas-devel
BuildRequires:	libjpeg-devel
BuildRequires:	openssl-devel
BuildRequires:  glibc-devel
BuildRequires:  curl-devel
BuildRequires:  DirectFB-devel
BuildRequires:  libidn-devel
BuildRequires:  zlib-devel
BuildRequires:  libX11-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXdamage-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXp-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:	cyrus-sasl-devel

%description 
Ecore is the core event abstraction layer and X abstraction layer that makes doing selections,
Xdnd, general X stuff, and event loops, timeouts and idle handlers fast, optimized, and convenient.
It's a separate library so anyone can make use of the work put into Ecore to make this job easy for applications. 
Ecore is completely modular. At its base is the event handlers and timers, and initialization and shutdown functions.

%package devel
Summary:        Development files for ecore
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for developing applications using ecore

%prep
%setup -q -n %name
#%patch0

%build
./autogen.sh
%configure -prefix=%_prefix --enable-ecore-desktop
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/%{name}_*
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig

%changelog
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 20071209-1
- Version Update
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071104-1
- Version Update
* Fri Nov 02 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071102-2
- enable build of desktop module
* Fri Nov 02 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071102-1
- Version Update
* Sat Mar 31 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.9.037-2
- version update
* Sun Dec 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.9.037-1
- version update
* Sun Oct 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.9.035-1
- version update
* Fri Aug 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.9.032-1
- version update
* Fri Jun 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.9.027-1
- version update
* Sun Dec 25 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.9.9.022-1
- Initial Release
